Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# LibMadPlugin Class Reference

The LibMadPlugin class is a wrapper for the libmad library. More...

`#include <libmadplugin.h>`

Inherits MediaPlayerDecoder.

List of all member functions.

## Public Members

- LibMadPlugin ()
- virtual const char * pluginName ()

## Detailed Description

The LibMadPlugin class is a wrapper for the libmad library.

LibMAD is an integer-based MPEG audio decoder that supports all three MPEG Layers, and is used by the MediaPlayer.

The libmad library is distributed under the terms of the GNU General Public License, Version 2. The primary copyright holder is Robert Leslie. More information about the Mad library can be found at http://www.mars.org/home/rob/proj/mpeg/

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.